import React, { Component } from 'react';
import { autobind } from 'core-decorators';
import {
  Dialog,
  Field,
  Form
} from '@alife/aisc';

@autobind
class EditDialog extends Component {
  constructor(props) {
    super(props);
    this.state = {
      visible: false
    };

    this.field = new Field(this);
  }

  onOpen = () => {
    this.setState({
      visible: true
    });
  };

  onClose = () => {
    this.setState({
      visible: false
    });
  };

  render() {
    const init = this.field.init;

    return (
      <Dialog
        visible={this.state.visible}
        onOk={this.onSave}
        onCancel={this.onClose}
        size="large"
        onClose={this.onClose}
        title="新建"
      >
        <Form size="large" direction="ver" field={this.field}>
        </Form>
      </Dialog>
    );
  }
}

export default EditDialog;
